;XIncludeFile "PurePDF_res.pb"
;XIncludeFile "PurePDF.pb"
;pdf_Init()

Procedure Header()
  pdf_Image("PurePDFLogo.png",10,8,33)
  pdf_SetFont("Arial","B",15)
  pdf_SetX(pdf_GetW()/2-15)
  pdf_Cell(30,10,"Title",1,0,#PDF_ALIGN_CENTER)
  pdf_Ln(20)
EndProcedure

Procedure Footer()
  pdf_SetY(-15)
  pdf_SetFont("Arial","I",8)
  pdf_Cell(0,10,"Page "+Str(pdf_GetPageNo())+"/{nb}",0,0,#PDF_ALIGN_CENTER)
EndProcedure

pdf_Create("","mm",#PDF_PAGE_FORMAT_A4)
pdf_SetProcFooter(@Footer())
pdf_SetProcHeader(@Header())
pdf_AliasNbPages();

pdf_AddPage()
pdf_SetFont("Arial","B",16)
pdf_Cell(40,10,StrF(pdf_GetW(),0)+"x"+StrF(pdf_GetH(),0)+" mm",1)

pdf_AddPage("L",#PDF_PAGE_FORMAT_A5)
pdf_SetFont("Arial","B",16)
pdf_Cell(40,10,StrF(pdf_GetW(),0)+"x"+StrF(pdf_GetH(),0)+" mm",1)

pdf_AddPage("P",#PDF_PAGE_FORMAT_A6)
pdf_SetFont("Arial","B",16)
pdf_Cell(40,10,StrF(pdf_GetW(),0)+"x"+StrF(pdf_GetH(),0)+" mm",1)

pdf_Save("Tutorial28 PageFormat.pdf")

; IDE Options = PureBasic 4.30 Beta 4 (Windows - x86)
; CursorPosition = 33
; Folding = -
; EnableXP